%global mod_name matrix-auth-plugin
%global short_name matrix-auth
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-%{mod_name}
Version:        1.2
Release:        %mkrel 4
Group:          Development/Java
Summary:        Jenkins Matrix Authorization Strategy Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/matrix-auth-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.plugins:junit)

BuildRequires:  zip

Requires:       jenkins-webapp >= 1.581-3

BuildArch:      noarch

%description
This Jenkins plugin offers matrix-based security authorization strategies
(global and per-project).

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for 
%{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# tests have special needs:
# "package hudson.tasks.junit does not exist"
# we don't have these Jenkins test artifacts in Fedora
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Fri Mar 11 2016 neoclust <neoclust> 1.2-4.mga6
+ Revision: 989094
- Rebuild against fixed jenkins
- imported package jenkins-matrix-auth-plugin

